#debuginfo not supported with Go
%global debug_package %{nil}

%global package_name openshift-gitops-kam
%global product_name OpenShift GitOps KAM
%global golang_version 1.14
%global kam_version 1.0.0
%global kam_release  78
%global commitid e44c305488d6528684999206d1704ab4d80216a2
%global source_dir kam-%{commitid}
%global source_tar kam-e44c305488d6528684999206d1704ab4d80216a2.tar.gz

Name:           %{package_name}
Version:        %{kam_version}
Release:        %{kam_release}%{?dist}
Summary:        %{product_name} OpenShift GitOps Kubernetes Application Manager CLI tool 
License:        ASL 2.0
URL:            https://github.com/redhat-developer/kam/commit/%{commitid}

ExclusiveArch:  x86_64

Source0:        %{source_tar}
BuildRequires:  golang >= %{golang_version}
Provides:       %{package_name}
Obsoletes:      %{package_name}

%description
%{summary}

%package redistributable
Summary:        %{product_name} kam binaries for Linux, Mac OSX, and Windows
BuildRequires:  golang >= %{golang_version}
Provides:       %{package_name}-redistributable
Obsoletes:      %{package_name}-redistributable

%description redistributable
%{summary}

%prep
%setup -q -n %{source_dir}
mkdir -p %{_builddir}/src

%global make GOPATH=%{_builddir} make -e GOFLAGS="-mod=vendor" VERSION="v%{kam_version}-%{commitid}" 

%build
%{make} all_platforms

%install
install -d %{buildroot}%{_bindir}
%ifarch x86_64
install -p -m 0755 dist/kam_linux_amd64 %{buildroot}%{_bindir}/kam
install -d %{buildroot}%{_datadir}/%{name}-redistributable/{linux,macos,windows}
install -p -m 0755 dist/kam_linux_amd64 %{buildroot}%{_datadir}/%{name}-redistributable/linux/kam-linux-amd64
install -p -m 0755 dist/kam_darwin_amd64 %{buildroot}%{_datadir}/%{name}-redistributable/macos/kam-darwin-amd64
install -p -m 0755 dist/kam_windows_amd64.exe %{buildroot}%{_datadir}/%{name}-redistributable/windows/kam-windows-amd64.exe
%endif

%files
%license LICENSE
%{_bindir}/kam

%ifarch x86_64
%files redistributable
%license LICENSE
%dir %{_datadir}/%{name}-redistributable/linux/
%dir %{_datadir}/%{name}-redistributable/macos/
%dir %{_datadir}/%{name}-redistributable/windows/
%{_datadir}/%{name}-redistributable/linux/kam-linux-amd64
%{_datadir}/%{name}-redistributable/macos/kam-darwin-amd64
%{_datadir}/%{name}-redistributable/windows/kam-windows-amd64.exe
%endif

%changelog
